// https://khalilstemmler.com/blogs/typescript/eslint-for-typescript/
// https://www.jetbrains.com/help/idea/eslint.html#ws_js_eslint_activate
{
  "root": true,
  "parser": "@typescript-eslint/parser",
  "plugins": [
    "@typescript-eslint"
  ],
  "extends": [
    "airbnb-typescript/base"
  ],
  "rules": {
    "@typescript-eslint/no-explicit-any": "off",
    "@typescript-eslint/explicit-function-return-type": 2,
    "import/no-extraneous-dependencies": "off",
    "no-unused-vars": "off",
    "@typescript-eslint/no-unused-vars": "off",
    "@typescript-eslint/no-unused-vars-experimental": "error",
    "no-console": 2,
    "max-len": [
      "error",
      {
        "ignoreComments": true,
        "code": 130
      }
    ],
    "func-names": [
      "error",
      "as-needed"
    ],
    "import/extensions": [
      "error",
      {
        "ts": "never"
      }
    ]
  },
  "parserOptions": {
    "project": "./tsconfig.json"
  }
}
